%global gittag0 1.20.0

%global _hardened_build 1

Name:		sedutil
Version:	%{gittag0}
Release:    1%{?dist}
Summary:	Tools to manage the activation and use of self encrypting drives

License:	GPLv3+ and CC0
URL:		https://github.com/Drive-Trust-Alliance/sedutil/wiki
Source0:	https://github.com/Drive-Trust-Alliance/%{name}/archive/%{gittag0}/%{name}-%{gittag0}.tar.gz

Patch0:		sedutil-1.15.1-nvme_ioctl.patch
Patch1:		https://github.com/Drive-Trust-Alliance/sedutil/pull/408.patch
Patch2:		https://github.com/Drive-Trust-Alliance/sedutil/pull/428.patch

ExcludeArch:	ppc ppc64 s390 s390x

BuildRequires: make
BuildRequires:	gcc-c++
BuildRequires:	ncurses-devel
BuildRequires:	autoconf automake

Provides:	bundled(cifra)


%description
The Drive Trust Alliance software (sedutil) is an Open Source (GPLv3)
effort to make Self Encrypting Drive technology freely available to
everyone. It is a combination of the two known available Open Source
code bases today: msed and OpalTool.

sedutil is a Self-Encrypting Drive (SED) management program and
Pre-Boot Authorization (PBA) image that will allow the activation and
use of self encrypting drives that comply with the Trusted Computing
Group Opal 2.0 SSC.

This package provides the sedutil-cli and linuxpba binaries, but not
the PBA image itself.

%prep
%setup -q -n sedutil-%{gittag0}
%{?el7:%patch0 -p1 -b .nvme_ioctl}
%patch1 -p1 -b .securemode
%patch2 -p1 -b .gcc13
cd linux
sed -i -e's/tarball/%{gittag0}/' GitVersion.sh
find . -type f -name '*.h' -exec chmod -x {} \;
find . -type f -name '*.cpp' -exec chmod -x {} \;


%build
autoreconf -iv
%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_libexecdir}/linuxpba
ln -sr %{buildroot}%{_sbindir}/linuxpba %{buildroot}%{_libexecdir}/linuxpba

%files
%doc README.md Common/Copyright.txt Common/ReadMe.txt linux/PSIDRevert_LINUX.txt
%license Common/LICENSE.txt
%{_sbindir}/sedutil-cli
%{_mandir}/man8/sedutil-cli.8*
%{_sbindir}/linuxpba
%{_libexecdir}/linuxpba


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20.0-1
- initial build
